Subject: NC/AC 123K
From: "Jan Mulder" <[email-masked]>
To: <[email-masked]>
Date: Thu, 7 Feb 2008 14:45:06 +0100

Hello Steve,

I've just sent a couple of photo's and a building report
of the NC/AC 123K. Hope you received it in good order.
This model of mine was in december 2007 the winner at
the "modeling Madness site" Vietnam contest.
As I got a lot of positive reactions I decided to put it on your site. Think it's the best way to reach as many Nam modelers as possible and give them a help to build this awesome aircraft.

With kind regards, Jan Mulder
The Netherlands